#!/bin/bash
for pid in `ps -ef | gawk '{ print $2 }'`
do
  echo "pid "$pid;
  cat /proc/$pid/comm
  cmd=`cat /proc/$pid/cmdline`
  echo ''
  for fdinfo in `ls /proc/$pid/fd`
  do
    echo "     "$fdinfo
    fd=`readlink /proc/$pid/fd/$fdinfo`
    owner=`ls -l $fd | gawk '{ print $3}'`
    echo "     "$fd" pid"$pid" cmdline "$cmd" own "$owner
  done
done
